#ifndef CLIENT_MAIN_H
#define CLIENT_MAIN_H

#include "data/HashMap.h"
#include "math/BufferedValue.h"
#include "math/Vector.h"

struct OtherPlayer {
    BufferedValue<Vector3> position;
};

typedef StringBuffer<50> ChatMessage;

extern HashMap<int, OtherPlayer> players;
extern bool renderInput;

void addToChat(const ChatMessage& msg);

#endif